package com.yyrh.sdk.impl;

import android.content.Context;

/**
 * @author #Suyghur.
 * Created on 2021/10/15
 */
public final class SdkNativeBoost {

    static {
        System.loadLibrary("xinrui");
    }

    private SdkNativeBoost() {

    }

    public static SdkNativeBoost getInstance() {
        return SdkBoostHolder.INSTANCE;
    }

    public native void initSdkBoost(Context context);

    public native void setParam(String key, String value);

    public native String getParam(String key);

    public native String invokeJob(String data);

    public native String parseJob(String data);

    private static final class SdkBoostHolder {
        private static final SdkNativeBoost INSTANCE = new SdkNativeBoost();
    }


}
